> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List ITSM Comments



## OpenAPI

````yaml get /itsm/comments
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/comments:
    get:
      tags:
        - ITSM
        - Comments
      summary: List ITSM Comments
      operationId: get_comments
      parameters:
        - name: ticketId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter comments by ticket ID
            title: Ticketid
          description: Filter comments by ticket ID
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            examples:
              - '2021-01-01T00:00:00+00:00'
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/KeySetPaginatedResponse_ScopedITSMCommentRespModel_
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    KeySetPaginatedResponse_ScopedITSMCommentRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ScopedITSMCommentRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[ScopedITSMCommentRespModel]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    ScopedITSMCommentRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the Comment
        body:
          type: string
          title: Body
          description: Text content of the Comment
        ticket_id:
          type: string
          format: uuid
          title: Ticket Id
          description: Ticket ID the Comment belongs to
        author_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Author Id
          description: User ID of the Comment author
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMCommentVendorAttributes'
          description: Vendor-specific attributes of the Comment
      type: object
      required:
        - id
        - body
        - ticket_id
        - vendor_attributes
      title: ITSM Comment
    ITSMCommentVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: Vendor's ID for the Comment
        vendor:
          type: string
          title: Vendor
          description: Vendor name
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of the Comment in Vendor
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of the Comment in Vendor
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/JiraCommentVendorAttributesData'
              discriminator:
                propertyName: vendor
                mapping:
                  JIRA:
                    $ref: '#/components/schemas/JiraCommentVendorAttributesData'
            - type: 'null'
          title: Data
          description: Vendor-specific data associated with the Comment
      type: object
      required:
        - id
        - vendor
      title: ITSM Comment Vendor Attributes
    JiraCommentVendorAttributesData:
      properties:
        vendor:
          type: string
          enum:
            - JIRA
          const: JIRA
          title: Vendor
          default: JIRA
        originalBody:
          anyOf:
            - {}
            - type: 'null'
          title: Originalbody
      type: object
      title: JiraCommentVendorAttributesData
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````